### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-tag/ecl-tag.component.ts`

### Metadata

selector | `ecl-tag`
templateUrl | `./ecl-tag.component.html`

### Index

###### Properties
isVisible
###### Methods
onRemoveClick
###### Inputs
isRemovable styleClass
###### Outputs
remove
###### HostBindings
class style.display

### Inputs

isRemovable
Type : `boolean`
Default value : `false`

styleClass
Type : `string`

### Outputs

remove
Type : `EventEmitter`

### HostBindings

class
Type : `any`

style.display

### Methods

onRemoveClick
`onRemoveClick(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

### Properties

isVisible
Type : `boolean`
Default value : `true`

# result-matching ""

# No results matching ""